@charset "utf-8";
.visually-hidden {
  position: fixed !important;
  /* keep it on viewport */
  inset-block-start: 0px !important;
  inset-inline-start: 0px !important;
  /* give it non-zero size, VoiceOver on Safari requires at least 2 pixels
		 before allowing buttons to be activated. */
  width: 4px !important;
  height: 4px !important;
  /* visually hide it with overflow and opacity */
  opacity: 0 !important;
  overflow: hidden !important;
  /* remove any margin or padding */
  border: none !important;
  margin: 0 !important;
  padding: 0 !important;
  /* ensure no other style sets display to none */
  display: block !important;
  visibility: visible !important;
}

.is-hidden {
  display: none;
}

.icon-set {
  display: flex;
  align-items: center;
  gap: var(--space-4);
}

.icon-wrapper--small,
.icon-wrapper--medium,
.icon-wrapper--large,
.icon-wrapper--xl {
  display: grid;
  place-items: center;
  width: 100%;
  height: auto;
}

.icon-wrapper--small img,
.icon-wrapper--medium img,
.icon-wrapper--large img,
.icon-wrapper--xl img {
  width: 100%;
  height: auto;
}

.icon-wrapper--small {
  max-width: 12px;
  padding-block-start: 2px;
}

.icon-wrapper--medium {
  max-width: 14px;
}

.icon-wrapper--large {
  max-width: 17px;
}

.icon-wrapper--xl {
  max-width: 24px;
}

/*
 *  content
 */

.content {
  max-width: var(--container-content);
  width: 100%;
  margin-inline: auto;
  padding-inline: var(--space-16);
}

/*************************************************
 header
**************************************************/

header .site-title a{text-decoration: none;}

.site-header {
  position: fixed;
  inset-block-start: 0;
  inset-inline: 0;
  z-index: var(--stack-head);
  width: 100%;
  background-color: var(--color--bg-default);
}

.layout {
  position: relative;
}

.contents {
  margin-block-start: var(--header-height);
}

.header__content {
  display: grid;
  grid-template-columns: 1fr; /* タイトルとグローバルナビを横並びに */
}

.header__container {
  container: site-header__container / inline-size;
}

.header-nav {
  display: grid;
  grid-template-columns: auto 1fr;
  justify-content: space-between;
  padding-block: var(--space-16);
}

/************************
Header utilityNav
*************************/
.header-utilitynav {
  display: block;
  width: 100%;
  height: auto;
  background: var(--color--bg-subtle);
}

.utility-nav {
  overflow: visible;
  padding-block: var(--space-12);
}

.utility-nav__list {
  position: relative;
  /* display: grid;
  grid-template-columns: repeat(auto-fit, minmax(140px, 1fr)); */
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding-inline-start: var(--header--inline-start);
  padding-inline-end: var(--header--inline-end);
}

.utility-nav__item:last-child .utility-nav__dropdown {
  /* 右端で切れないように調整 */
  inset-inline-end: 0;
  min-width: 300px; /* 必要な幅に応じて調整 */
  width: max-content;
}

/* アプローチ2: スムーズなアニメーション */
.utility-nav__link {
  position: relative;
  color: var(--color--link);
  text-decoration: none;
}

.utility-nav__link::after {
  content: '';
  position: absolute;
  inset-block-end: 0;
  inset-inline-start: 50%;
  width: 100%;
  height: 1px;
  background-color: currentColor;
  transition: width 0.3s ease;
  transform: translateX(-50%);
}

.utility-nav__link:hover::after,
.utility-nav__link:focus-within::after {
  width: 0;
}

.utility-nav__label {
  font-size: var(--font-size-16);
  font-weight: var(--font-weight-regular);
  letter-spacing: var(--tracking-30);
}

.utility-nav__label {
  font-size: var(--font-size-16);
  font-weight: var(--font-weight-regular);
  letter-spacing: var(--tracking-30);
}

.utility-nav__toggle {
  display: grid;
  grid-template-columns: 1fr auto;
  place-items: center;
  column-gap: var(--space-16);
  padding-block: var(--space-6);
  padding-inline-start: var(--space-24);
  padding-inline-end: var(--space-12);

  background: var(--color--bg-default);
  border: var(--button--border-width) solid var(--button--color-border);
  box-shadow: 0 0 0 var(--button--border-width) var(--button--outline-color);
  border-radius: var(--rounded-full);
  transition: box-shadow 0.3s ease;
  cursor: pointer;
}

.utility-nav__toggle:hover,
.utility-nav__toggle:focus-within {
  box-shadow: 0 0 0 var(--button--border-width) var(--button--outline-color-hover);
}

.utility-nav__toggle-title {
  align-self: center;
  justify-self: end;
  /* font sytle */
  color: var(--color--link);
  font-size: 16px;
  font-weight: var(--font-weight-regular);
  letter-spacing: var(--tracking-30);
  text-align: center;
  white-space: nowrap;
}

.utility-nav__toggle-title:not(:has(.icon-set)) {
  padding-inline-start: var(--space-8);
}

.utility-nav__toggle-icon {
  place-self: center end;
}

.utility-nav__dropdown {
  transition: opacity 0.3s, transform 0.3s;
}

/* オプション：ドロップダウンの基本スタイル */
.utility-nav__dropdown {
  position: fixed;
  width: fit-content;
  inset-block-start: 50px;
  inset-inline-end: calc((100% - 1200px) / 2);
  /* max-width: 450px; */
  background: var(--drawer--bg);
  border-radius: var(--rounded-lg);
  z-index: calc(var(--stack-head) + 1);

  transition: opacity 0.3s ease, transform 0.3s ease;
  will-change: transform, opacity;
}

.utility-nav__dropdown-content {
  width: 100%;
  min-width: 300px;
  padding: var(--space-16);
}

/* ドロップダウンが非表示の時のスタイル */
.utility-nav__dropdown[hidden] {
  display: none;
  opacity: 0;
  transform: translateY(-5px);
}

/* ページコントロール - 表示切替 */
.page_control .UD {
  margin: 0;
  padding: 0;
}

.UD {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: var(--space-24);
  width: 100%;
}

.color_change,
.textsize_change {
  display: grid;
  grid-template-columns: 1fr repeat(3, minmax(35px, auto));
  place-items: center start;
  width: 100%;
  gap: var(--space-4);
  padding: 1px;
}

.color_change,
.textsize_change {
  margin-block: unset;
}

.color_change > dt,
.textsize_change > dt {
  color: var(--color-red-700);
  font-size: var(--font-size-16);
  font-weight: var(--ud--font-weight);
  white-space: nowrap;
  padding-inline-end: var(--space-8);
}

.color_change > dd,
.textsize_change > dd {
  display: grid;
  place-items: center;
  width: 100%;
  margin: 0;
  /* padding: 1px; */
  /* transition: outline 0.3s ease-in; */
}

.color_change > dd > a,
.textsize_change > dd > a {
  height: var(--ud--change-button);
  aspect-ratio: 1 /1;
  border-radius: var(--rounded-md);
  border-width: 1px;
  border-style: solid;
  font-size: var(--font-size-16);
  font-weight: var(--ud--font-weight);
  display: grid;
  place-items: center;
  width: 100%;
  text-decoration: none;
  color: #000;
}

.color_change .high > a {
  background-color: #000;
  border-color: #fff;
  color: #fff;
}

.color_change .default > a {
  background-color: #fff;
  border-color: #707070;
}

.color_change .low > a {
  background-color: #9d9d9d;
  border-color: #9d9d9d;
}

.textsize_change > dd > a {
  background-color: #fff;
  border-color: #000;
}

.color_change .high > a:hover,
.color_change .high > a:focus-within,
.color_change .default > a:hover,
.color_change .default > a:focus-within,
.color_change .low > a:hover,
.color_change .low > a:focus-within,
.textsize_change > dd > a:hover,
.textsize_change > dd > a:focus-within {
  border-width: 0;
  outline: 2px solid var(--color--link);
}

/* ページコントロール - サイト内検索 */
.search-form__wrap {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  row-gap: var(--space-8);
}
.search-form__label {
  color: var(--color-red-700);
  font-size: var(--ud--font-size-default);
  font-weight: var(--ud--font-weight);
  letter-spacing: var(--tracking-30);
}

.search-form__wrap,
.blc_search .search-form__inner {
  padding-block-end: 0;
}

.search-form__wrap {
  justify-content: end;
}

.search-form__inner {
  position: relative;
  width: 100%;
  margin-inline: auto;
}

.search-form__inner input[type='submit'] {
  position: absolute;
  inset-block-start: 5px;
  inset-inline-end: 4px;
  width: 3.5em;
  height: 30px;
  padding: 0;
  background: #000;
  border: none;
  border-radius: var(--rounded-md);
  color: var(--ud--search-form-bg);
  font-size: var(--font-size-15);
  line-height: 1;
  letter-spacing: calc(100 / 1000 * 1em);
  cursor: pointer;
  transition: background-color 0.3s ease, transform 0.2s ease;
}

.search-form__inner input[type='submit']:hover,
.search-form__inner input[type='submit']:focus-within {
  background-color: var(--color-red-500);
  transform: translateY(-1px);
}

.search-form__inner input[type='submit']:active {
  transform: translateY(0);
}

.search-form__inner input[type='text'] {
  width: 100%;
  height: var(--ud--search-form-height);
  padding-inline-start: 1em;
  border-radius: calc(var(--rounded-md) + 1px);
  background: var(--ud--search-form-bg, #fff);
  transition: background-color 0.3s ease, border-color 0.3s ease, box-shadow 0.3s ease;
}

.search-form__inner input[type='text']:hover,
.search-form__inner input[type='text']:focus-within {
  background: var(--ud--search-form-bg--hover);
  outline: none;
  box-shadow: 0 0 0 2px var(--color-red-100, rgba(162, 37, 80, 0.1));
}

.search-form__label {
  font-size: var(--ud--font-size-default);
  font-weight: var(--ud--font-weight);
  letter-spacing: var(--tracking-30);
  transition: color 0.3s ease;
}

.search-form__inner input[type='text']:focus-within ~ .search-form__label {
  color: var(--color-red-500);
}

.search-form__wrap {
  display: flex;
  flex-direction: column;
  justify-content: end;
  align-items: center;
  row-gap: var(--space-8);
  transition: opacity 0.3s ease;
}

/************************
Header mainNav
*************************/
.header-mainnav {
  display: grid;
  grid-template-columns: auto 1fr;
  gap: 24px;
  padding-block-start: var(--space-16);
  padding-block-end: var(--space-40);
}

/* ------- 
site title
------- */
.site-title {
  display: grid;
  grid-template-columns: auto 1fr;
  place-items: center start;
  gap: var(--space-12);
  color: var(--header-title-font-color);
  text-decoration: none;
}

.site-title__logo {
  display: grid;
  place-items: center;
  width: 100%;
  max-width: var(--header-logo-max-width);
  aspect-ratio: 1;
}

.site-title__name {
  display: grid;
  place-items: center start;
  width: 100%;
  max-width: var(--header-name-max-width);
  row-gap: var(--space-6);
}

.site-title__logo img,
.site-title__name img {
  width: 100%;
  height: auto;
}

.site-title__jp {
  color: var(--color--text);
  font-size: var(--font-size-32);
  /* font-weight: var(--font-weight-light); */
  font-weight: var(--font-weight-regular);
  line-height: 1;
  letter-spacing: var(--tracking-50);
  /* text-shadow: var(--text-shadow-bold); */
  white-space: nowrap;
}
.site-title__en {
  color: var(--color--text);
  font-size: var(--font-size-12);
  /* font-weight: var(--font-weight-light); */
  font-weight: var(--font-weight-regular);
  line-height: 1;
  letter-spacing: calc(130 / 1000 * 1em);
  /* text-shadow: var(--text-shadow-bold); */
  white-space: nowrap;
}

/* ------- 
Global Nav
------- */
.global-nav {
  place-self: end center;
  width: 100%;
  height: 100%;
}

.global-nav__list {
  display: grid;
  grid-template-columns: repeat(6, auto);
  place-items: center end;
  width: 100%;
  height: 100%;
}

.global-nav__link {
  position: relative;
  color: var(--color--text);
  padding-block-end: var(--space-6);
  text-decoration: none;
}

.global-nav__link::after {
  content: '';
  position: absolute;
  inset-block-end: 0;
  inset-inline-start: 50%;
  width: 0;
  height: 1px;
  background-color: var(--color--link);
  transition: width 0.3s ease;
  transform: translateX(-50%);
}

.global-nav__link:hover::after,
.global-nav__link:focus-within::after {
  width: 100%;
}

.global-nav__label {
  color: var(--main-nav-color-link);
  font-size: var(--main-nav-font-size);
  font-weight: var(--main-nav-font-weight);
  letter-spacing: var(--tracking-30);
}

@media (width <= 576px) {
  .site-title__jp {
    font-size: var(--font-size-25);
  }
  .site-title__en {
    font-size: var(--font-size-9);
  }
}
/*************************************************
 Drawer Toggle
**************************************************/
.toggle {
  position: fixed;
  inset-block-start: var(--space-16);
  inset-inline-end: var(--space-16);
  z-index: var(--stack-top);
  display: none;
  align-items: center;
  background: transparent;
  border: none;
  cursor: pointer;
  transition: background-color 0.3s ease;
}

.toggle-icon {
  position: relative;
  display: inline grid;
  width: var(--toggle--size);
  aspect-ratio: 1;
  place-items: center;
  background-color: transparent;
  border: none;
  cursor: pointer;
}

.toggle-icon::before,
.toggle-icon::after,
.toggle-icon span {
  content: '';
  position: absolute;
  grid-area: 1 / 1;
  width: var(--toggle--line-width);
  height: var(--toggle--line-heght);
  background-color: var(--toggle-open);
  transition: transform var(--toggle--duration), background-color var(--toggle--duration);
}

.toggle-icon::before {
  transform: translateY(calc(var(--toggle--padding) * -2));
}

.toggle-icon span {
  transform: translateY(0);
}

.toggle-icon::after {
  transform: translateY(calc(var(--toggle--padding) * 2));
}

.toggle.is-active .toggle-icon::before,
.toggle.is-active .toggle-icon::after,
.toggle.is-active .toggle-icon span {
  background-color: var(--toggle-close);
}

.toggle.is-active .toggle-text {
  color: var(--toggle-close);
}

.toggle-text {
  color: var(--toggle-open);
  font-family: var(--toggle-font-family);
  font-size: var(--toggle--font-size);
  font-weight: var(--toggle--font-weight);
  letter-spacing: var(--toggle--letter-spacing);
  text-transform: capitalize;
}

/*************************************************
 header layout 1160px + 16px * 2以下
**************************************************/
@container site-header__container (max-width:1191px) {
  .header-utilitynav,
  .global-nav {
    display: none;
  }

  .header-mainnav {
    padding-block-end: var(--space-16);
  }

  .toggle {
    display: grid;
  }
}

/*************************************************
 Drawer
**************************************************/
/* ドロワーの基本スタイル */
.drawer {
  position: fixed;
  inset-block-start: var(--header-height);
  /* inset-inline-end: -100vw;  */
  inset-inline-end: 0;
  inset-inline-start: auto;
  z-index: var(--stack-head);
  width: 100vw;
  height: calc(100% - var(--header-height));
  margin-inline: auto;
  padding-block: var(--space-16);
  padding-inline: var(--space-16);
  background: var(--drawer--bg);
  border: none;
  /* opacity: 0; */
  transform: translateX(100%);
  /* visibility: hidden; */
  /* transition: opacity 0.3s, visibility 0.3s; */
  transition: transform 0.3s ease;
  will-change: transform;
}

/* ドロワーコンテナ */
.drawer__container {
  display: flex;
  flex-direction: column;
  gap: var(--space-16);
  max-width: var(--container-size-lg);
  margin-inline: auto;
  height: 100%;
  overflow-y: auto;

  /* スクロールバーのカスタマイズ */
  scrollbar-width: thin; /* Firefox用 */
  scrollbar-color: var(--color-scrollbar) transparent; /* Firefox用 */
}

.drawer__container::-webkit-scrollbar {
  width: 8px;
}

.drawer__container::-webkit-scrollbar-track {
  background: transparent;
}

.drawer__container::-webkit-scrollbar-thumb {
  background-color: var(--color-scrollbar);
  border-radius: 4px;
}

/* ドロワー開閉状態 */
.drawer.is-open {
  /* opacity: 1;
  visibility: visible; */
  transform: translateX(0);
  overflow-y: auto;
}

/* ドロワー内のドロップダウンメニュー */
.drawer .utility-nav__dropdown {
  position: static;
}

/* トグルボタンのスタイル */
.toggle {
  position: fixed;
  z-index: 1000;
  opacity: 1;
  visibility: visible;
}

/* トグルボタンの開閉アイコン */
.toggle[aria-expanded='true'] .toggle-icon::before {
  transform: translateY(0) rotate(45deg);
}

.toggle[aria-expanded='true'] .toggle-icon span {
  transform: scale(0);
}

.toggle[aria-expanded='true'] .toggle-icon::after {
  transform: translateY(0) rotate(-45deg);
}

/*===========================
Drawer glovalNav
=============================*/
.drawer-nav__list {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(150px, 1fr));
  gap: var(--space-16);
}

.drawer-nav__link {
  display: grid;
  place-items: center;
  width: 100%;
  height: 100%;
  padding-inline: var(--space-6);
  padding-block: var(--space-16);
  background: var(--link--color-background);
  border-radius: var(--rounded-md);
  border: 1px solid transparent;
  color: var(--color-red-700);
  text-decoration: none;
  transition: background-color 0.3s ease-in, border-color 0.3s ease;
}

.drawer-nav__link:hover,
.drawer-nav__link:focus-within {
  background-color: var(--link--color-background-hover);
  border-color: var(--link--color-border);
}

.drawer-nav__label {
  font-size: var(--font-size-18);
  font-weight: var(--font-weight-medium);
  letter-spacing: var(--tracking-50);
  white-space: nowrap;
}

/*===========================
Drawer utilityNav
=============================*/
.drawer-utilitynav {
  .utility-nav {
    display: grid;
    grid-template-columns: 1fr;
    place-items: center;
  }
  .utility-nav.content {
    padding: 0;
  }
  .utility-nav__list {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(148px, 1fr));
    gap: var(--space-16);
    width: 100%;
    padding-inline-start: 0;
    padding: 1px; /* for hover  */
  }

  .utility-nav__link {
    display: grid;
    place-items: center;
    width: 100%;
    height: 100%;
    padding-block: var(--space-8);
    background: var(--link--color-background);
    border-radius: var(--rounded-full);
    border: 1px solid var(--button--color-border);
    color: var(--color-red-700);
    text-decoration: none;
    outline: 0 solid var(--link--color-border); /* 初期状態 */
    transition: background-color 0.3s ease, outline-width 0.3s ease;
    overflow: visible;
  }

  .utility-nav__link:hover,
  .utility-nav__link:focus-within {
    background-color: var(--link--color-background-hover);
    outline-width: 1px; /* ホバー時に1px表示 */
  }

  .utility-nav__link::after {
    content: none;
  }

  .utility-nav__label {
    font-size: var(--font-size-17);
    font-weight: var(--font-weight-medium);
    letter-spacing: var(--tracking-50);
    white-space: nowrap;
  }
}

/*===========================
Drawer utility-nav__dropdown
=============================*/
.drawer .utility-nav__dropdown {
  display: grid;
  grid-template-columns: 1fr;
  place-items: center;
}

.drawer .utility-nav__dropdown-content {
  /* padding-inline: unset;
  padding-block-start: var(--space-16); */
  padding-block-end: 0;
}

.drawer #accessibility-menu.utility-nav__dropdown {
  padding-block-start: var(--space-16);
}

.drawer #site-search-menu.utility-nav__dropdown {
  width: var(--ud--search-size-mobile);
}

.drawer .search-form__inner input[type='submit'] {
  background: var(--color-red-500);
}

/*===========================
Drawer Close Button
=============================*/
.drawer-button {
  display: grid;
  place-items: center;
  padding-block: var(--space-8);
}
.drawer .close-button {
  display: grid;
  grid-template-columns: auto 1fr;
  gap: var(--space-8);
  padding-block: var(--space-6);
  padding-inline: var(--space-24);
  background: var(--button--color-background);
  border: none;
  border-radius: var(--rounded-md);
  box-shadow: var(--elevation);
  position: relative;
  isolation: isolate;
  margin: var(--space-4);
  transition: backbround-color 0.3s ease-in;
  cursor: pointer;
  transform: translateY(0); /* 初期位置 */

  color: var(--color--text);
}

.drawer .close-button:hover,
.drawer .close-button:focus-within {
  background-color: var(--button--color-background-hover);
}

.drawer .close-button__icon {
  place-self: center start;
  padding-block-start: 2px;
}

.drawer .close-button__label {
  font-size: 17px;
  font-weight: var(--font-weight-medium);
  letter-spacing: var(--tracking-50);
}

/*===========================
Drawer Layout PC
=============================*/
@media (width <= 1191px) {
  .drawer {
    width: 429px;
    inset-inline-start: auto;
    inset-inline-end: 0;
  }

  .drawer .UD {
    flex-direction: column;
    gap: var(--space-8);
  }
}

/*===========================
Drawer Layout SP
=============================*/
@media (width <= 429px) {
  .drawer {
    width: 100vw;
    inset-inline-start: auto;
    inset-inline-end: 0;
  }

  .header-mainnav.content {
    padding-block: var(--space-12);
  }

  .toggle {
    inset-block-start: var(--space-4);
    inset-inline-end: var(--space-8);
  }

  .site-title__logo {
    max-width: var(--header-logo-max-width-mobile);
  }
  .site-title__name {
    max-width: var(--header-name-max-width-mobile);
  }
  .drawer-nav__link {
    padding-block: var(--space-12);
  }

  .drawer-nav__label {
    font-size: 4.8vw;
  }
  .drawer-utilitynav {
    .utility-nav__label {
      font-size: 4.53333vw;
    }

    .utility-nav__list {
      display: grid;
      grid-template-columns: repeat(auto-fit, minmax(136px, 1fr));
      gap: var(--space-16);
      padding-inline-start: 0;
    }
  }

  .drawer .UD {
    flex-direction: column;
    gap: var(--space-8);
  }
  .drawer #accessibility-menu.utility-nav__dropdown {
    padding-block-start: 0;
  }
}

/*************************************************
 Footer
**************************************************/
footer .site-title a{text-decoration: none;}

/*===========================
Common Button-Link
=============================*/
.btn-link {
  /* layout */
  display: grid;
  grid-template-columns: 1fr auto;
  width: 100%;
  padding-block: var(--space-12);
  padding-inline: calc(1.25 * var(--space-16));
  border-radius: var(--rounded-full);
  background: var(--link-button--background-color);
  box-shadow: 0 0 0 0 var(--button--color-border);
  transition: box-shadow 0.3s ease;
  /* style */
  color: var(--link-button--text-color);
  text-decoration: none;
}

.btn-link:hover,
.btn-link:focus-within {
  box-shadow: 0 0 0 1.5px var(--button--color-border);
}

/* ------- 
Footer Layout
------- */
.site-footer {
  margin-block-start: var(--space-64);
}

.site-footer__container {
  padding-block-end: var(--space-64);
}

.site-footer__wrap {
  display: grid;
  grid-template-columns: repeat(12, minmax(64px, 1fr));
  row-gap: var(--space-24);
}

.footer-info {
  grid-column: span 5;
  grid-row: 1 / span 2;
}

.footer-nav {
  grid-column: span 5;
  grid-row: 3;
}

.footer-sns {
  grid-column: span 5;
  grid-row: 4;
  place-self: end start;
  width: 100%;
}

.footer-policy {
  grid-column: 7 / span 6;
  grid-row: 1;
}

.footer-map {
  grid-column: 6 / span 7;
  grid-row: 2 / span 3;
}

/* ------- 
Footer Details
------- */
.footer-info {
  display: grid;
  grid-template-columns: 1fr;
}

.location-info > dl,
.contact-list {
  margin-block: 0;
}

.location-info__main,
.location-info__contact,
.contact-list__value {
  margin-inline-start: 0;
}

.contact-list__item {
  display: inline-flex;
  margin-block: 0;
}

.contact-list__label,
.contact-list__value {
  font-size: var(--font-size-15);
  font-weight: var(--font-weight-regular);
  letter-spacing: var(--tracking-50);
}

.contact-list__value > a {
  color: var(--color--text);
  text-decoration: none;
}

.location-info__main {
  display: inline-flex;
  flex-wrap: wrap;
  gap: 0 var(--space-16);
}

.location-info__main > span {
  font-size: var(--font-size-15);
  font-weight: var(--font-weight-regular);
  letter-spacing: var(--tracking-50);
  white-space: nowrap;
}

.location-info__zip {
  text-decoration: none;
  pointer-events: none;
  -webkit-text-fill-color: inherit;
  color: inherit;
}
/* ------- 
Footer Nav
------- */
.footer-nav__list {
  display: flex;
  gap: var(--space-24);
}

.footer-nav__item {
  width: 100%;
  max-width: 160px;
}

.footer-nav__label {
  font-size: var(--font-size-16);
  font-weight: var(--font-weight-regular);
  line-height: 1;
  letter-spacing: var(--tracking-50);
  white-space: nowrap;
}

/* ------- 
Footer SNS
------- */
.footer-sns__list {
  display: grid;
  grid-template-columns: repeat(4, minmax(auto, 50px));
  place-items: center start;
  gap: var(--space-24);
}

.footer-sns__link {
  display: grid;
  place-items: center;
  opacity: 1;
  transition: opacity 0.3s ease;
}

.footer-sns__link:hover {
  opacity: 0.6;
}

.footer-sns__icon {
  width: 100%;
  max-width: 55px;
  height: auto;
}

.footer-sns__icon img {
  width: 100%;
  height: auto;
}

/* ------- 
Footer Policy
------- */
.footer-policy__list {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(min(100px, 100%), 1fr));
  padding-inline: var(--space-16);
  padding-block: var(--space-12);
  overflow: visible;
  border-radius: var(--rounded-full);
  background: var(--color--bg-subtle);
  gap: var(--space-16);
}

.footer-policy__item {
  position: relative;
  text-align: center;
  min-width: 0;
}

.footer-policy__item:not(:first-child)::before {
  content: '';
  position: absolute;
  inset-inline-start: calc(-1 * var(--space-8));
  inset-block-start: 50%;
  transform: translateY(-50%);
  height: calc(18 / 21 * 100%);
  width: 1px;
  background: repeating-linear-gradient(to bottom, var(--color--text) 0, var(--color--text) 2px, transparent 3px, transparent 6px);
}

.footer-policy__link {
  position: relative;
  color: var(--color--text);
  text-decoration: none;
}

.footer-policy__link::after {
  content: '';
  position: absolute;
  inset-inline-start: 0;
  inset-block-end: -1px;
  width: 100%;
  height: 1px;
  background-color: var(--color--text);
  transform: scaleX(0);
  transition: transform 0.3s ease;
  transform-origin: left;
}

.footer-policy__link:hover::after,
.footer-policy__link:focus-visible::after {
  transform: scaleX(1);
}

/* ------- 
Footer Map
------- */
.footer-map {
  width: 685px;
  max-width: 100%;
  height: auto;
}

.footer-map__wrap {
  position: relative;
  width: 100%;
  aspect-ratio: 2.5 / 1;
}

.footer-map__frame {
  position: absolute;
  inset-block-start: 0;
  inset-inline-start: 0;
  width: 100%;
  height: 100%;
  border: 0;
}

/* ------- 
Copyright
------- */
.copyright {
  position: relative;
  height: 160px;
  background: none;
}

.copyright::before {
  content: '';
  position: absolute;
  inset-block-start: 0;
  inset-inline-start: 0;
  width: 100%;
  height: 100%;
  background-image: url(/core/img/copyright.png);
  background-position: center top;
  background-size: cover;
  background-repeat: no-repeat;
  filter: brightness(0.6);
  z-index: -1;
}

.copyright__container {
  display: grid;
  height: 100%;
  place-items: center end;
}

.copyright_wrap {
  color: var(--color--text-inverse);
  font-size: var(--font-size-15);
  font-weight: var(--font-weight-regular);
  letter-spacing: var(--tracking-50);
}

@media (width <= 976px) {
  .site-footer {
    margin-block-start: var(--space-32);
  }

  .site-footer__container {
    padding-block-end: var(--space-32);
  }

  /* ------- 
Footer Layout
------- */
  .site-footer__wrap {
    display: grid;
    grid-template-columns: repeat(12, minmax(16px, 1fr));
    row-gap: var(--space-24);
  }

  .footer-info {
    grid-column: span 12;
    grid-row: 1;
  }

  .footer-nav {
    grid-column: span 12;
    grid-row: 2;
    width: 100%;
    place-self: center;
  }

  .footer-sns {
    grid-column: span 12;
    grid-row: 3;
    width: fit-content;
    place-self: center;
  }

  .footer-policy {
    grid-column: span 12;
    grid-row: 4;
  }

  .footer-map {
    grid-column: span 12;
    grid-row: 5;
    width: 100%;
  }
}

@media (width <= 596px) {
  .footer-nav__label {
    font-size: var(--font-size-18);
  }

  .footer-policy__list {
    display: flex;
    flex-direction: column;
    align-items: center; /* 中央揃え */
    column-gap: var(--space-8);
    padding: 0;
    background: none;
    border: none;
    border-radius: unset;
  }

  .footer-policy__item {
    width: max-content;
    min-width: 200px;
  }

  /* 区切り線を解除 */
  .footer-policy__item:not(:first-child)::before {
    display: none;
  }

  /* 各リンクをボタン化 */
  .footer-policy__link {
    display: block;
    width: 100%;
    padding-block: var(--space-12);
    padding-inline: var(--space-24);
    background: var(--color--bg-subtle);
    border-radius: var(--rounded-full);
    text-align: center;
  }

  .copyright {
    height: 120px;
  }

  .copyright::before {
    background-position: 65% top;
  }

  .copyright__container {
    place-items: center;
  }

  .copyright_wrap {
    font-size: 2.8vw;
    white-space: nowrap;
  }
}

/*************************************************
 reread-link
**************************************************/
.reread-link {
  position: fixed;
  inset-block-end: 40px;
  inset-inline-end: 48px;
  width: 76px;
  height: 76px;
  background-color: #a22550;
  border: 1px solid #fff;
  border-radius: 50%;
  box-shadow: 0 0 0 0 #fff;
  transition: background-color 0.3s ease, box-shadow 0.3s ease;
  z-index: var(--stack-foot);
}

.reread-link a {
  display: grid;
  place-items: center;
  width: 100%;
  height: 100%;
}

.reread-link img {
  width: 100%;
  max-width: 22px;
  height: auto;
  object-fit: contain;
}

.reread-link:hover {
  background-color: #7e1036;
  box-shadow: 0 0 0 2px #fff;
}

@media (width <= 576px) {
  .reread-link {
    inset-block-end: 24px;
    inset-inline-end: 4px;
    width: var(--totop--size-mobile);
    height: var(--totop--size-mobile);
  }
}
/*************************************************
 CMS用テンプレート  .txtbox内部
**************************************************/
.locus-container {
  display: flex;
  height: min-content;
  margin-inline: auto;
  background: var(--color--bg-subtle);
}

p.lucus {
  font-size: var(--locus--font-size);
  font-weight: var(--locus--font-weight);
  line-height: var(--locus--letter-spacing);
  letter-spacing: var(--tracking-30);
}

.locus > span > a:any-link {
  color: var(--locus--link);
}

.page .contents {
  position: relative;
  overflow-x: clip;
}

.page .content-date {
  display: flex;
  justify-content: end;
  margin-block-start: unset;
}

.contents_inside {
  display: grid;
  grid-template-columns: 1fr 240px;
  column-gap: calc(var(--space-64) + var(--space-64));
  padding-block-start: var(--space-40);
}

.contents_main {
  min-width: 0;
}

.side-nav {
  position: relative;
  padding-block: var(--space-64);
  width: 100%;
  max-width: 240px;
  height: fit-content;
}

.side-nav::before {
  content: '';
  position: absolute;
  inset-block: 0;
  inset-inline-start: calc(var(--space-64) * -1);
  inset-inline-end: -100vw;
  /* コンテナ幅を超えない範囲で最大幅を設定 */
  max-width: calc((100vw - var(--container-content)) / 2 + 100vw);
  background: var(--side-nav-background-color);
  border-radius: 30px 0 0 30px;
  z-index: 0;
}

.side-nav__title {
  position: relative;
  color: var(--side-nav-color-link);
  font-size: var(--font-size-26);
  font-weight: var(--font-weight-regular);
  letter-spacing: var(--tracking-50);
  padding-inline-start: var(--space-16);
  z-index: 1;
}

.side-nav__list {
  display: grid;
  grid-template-columns: 1fr;
}

.side-nav__item {
  width: 100%;
}

.side-nav__link {
  position: relative;
  display: grid;
  grid-template-columns: auto 1fr;
  gap: var(--space-12);
  align-items: center;
  text-decoration: none;
  color: var(--side-nav-color-link);
  padding-block: var(--space-4);
  padding-inline: var(--space-8);
  transition: background-color 0.3s ease;
}

.side-nav__link::after {
  content: '';
  position: absolute;
  inset-block-end: 0;
  inset-inline-start: 0;
  width: 100%;
  height: 1px;
  border-bottom: 1px dashed var(--side-nav-border-color);
  pointer-events: none;
}

.side-nav__link::before {
  content: '';
  position: absolute;
  inset: 8px 0;
  background-color: var(--side-nav-color-link-hover);
  border-radius: var(--rounded-lg);
  opacity: 0;
  transition: opacity 0.3s ease;
  z-index: 0;
}

.side-nav__link:hover::before {
  opacity: 1;
}

.side-nav__icon {
  position: relative;
  display: grid;
  place-items: center;
  width: 22px;
  height: 22px;
  z-index: 1;
  margin-block-start: 2px; /* 追加 */
  /* または */
  /* transform: translateY(2px); */
}

.side-nav__icon img {
  width: 100%;
  height: 100%;
  object-fit: contain;
}

.side-nav__label {
  place-self: start;
  color: var(--side-nav-color-link);
  font-size: var(--font-size-20);
  line-height: 1.4;
  word-break: break-word;
  position: relative;
  z-index: 1;
}

@supports (display: grid) {
  .side-nav__link {
    align-items: start;
    padding-block: var(--space-16);
  }

  .side-nav__icon {
    padding-block-start: 0.25em;
  }
}

@media (width <= 	992px) {
  .contents_inside {
    grid-template-columns: 1fr;
  }

  .side-nav {
    position: relative;
    padding-block: var(--space-32);
    width: 100%;
    max-width: unset;
  }

  .side-nav::before {
    inset-inline-start: calc(var(--space-16) * -1);
    width: 100vw;
    max-width: unset;
    border-radius: unset;
  }
}

@media (width <= 592px) {
  .side-nav__title {
    font-size: var(--font-size-24);
  }

  .side-nav__icon {
    margin-block-start: 0;
    padding-block-start: 0;
  }

  .side-nav__label {
    font-size: var(--font-size-16);
  }
}

/* ===============================
TxtBox(CMS用)
================================ */
.txtbox {
  max-width: var(--container-size-lg);
  /* margin-block-start: var(--txtbox--margin-block-start); */
  margin-inline: auto;
  margin-block-end: var(--txtbox--margin-block-end);
}

/* 見出し */
h1.content-title {
  /* layout */
  position: relative;
  display: grid;
  place-items: center start;
  width: 100%;
  margin-block-end: var(--space-32);
  padding-inline: var(--space-8);
  /* style */
  color: var(--heading--color-h1);
  font-size: var(--heading--font-size-h1);
  font-weight: var(--heading--font-weight-h1);
  line-height: var(--heading--line-height-h1);
  letter-spacing: var(--heading--letter-spacing-h1);
}

h1.content-title::after {
  content: '';
  position: absolute;
  inset-block-end: calc(-1 * var(--space-32)); /* margin-block-endと同じ値を負の値で */
  inset-inline-start: 0;
  width: 100%;
  height: 1px;
  background: var(--heading--background-color-h1);
}

h1.content-title + * {
  padding-block-start: var(--space-40);
}

.txtbox h2 {
  /* layout */
  position: relative;
  display: grid;
  place-items: center start;
  width: 100%;
  margin-block-end: var(--space-32);
  padding-inline: var(--space-16);
  padding-block: var(--space-12);
  background: var(--heading--background-color-h2);
  border-radius: var(--rounded-md);
  /* style */
  color: var(--heading--color-h2);
  font-size: var(--heading--font-size-h2);
  font-weight: var(--heading--font-weight-h2);
  line-height: var(--heading--line-height-h2);
  letter-spacing: var(--heading--letter-spacing-h2);
}

.txtbox h3 {
  /* layout */
  position: relative;
  margin-block-end: var(--space-32);
  padding-block-start: var(--space-8);
  padding-block-end: var(--space-16);
  padding-inline-start: var(--space-16);
  border-bottom: 1px dashed var(--border-default);
  /* style */
  color: var(--heading--color-h3);
  font-size: var(--heading--font-size-h3);
  font-weight: var(--heading--font-weight-h3);
  line-height: var(--heading--line-height-h3);
  letter-spacing: var(--heading--letter-spacing-h3);
}

.txtbox h3::before {
  position: absolute;
  inset-block-start: 4px;
  inset-inline-start: 4px;
  width: 5px;
  height: 40px;
  background: var(--heading--background-color-h3);
  display: block;
  content: '';
}

.txtbox h4 {
  /* layout */
  position: relative;
  padding-inline-start: var(--space-24);
  /* style */
  color: var(--heading--color-h4);
  font-size: var(--heading--font-size-h4);
  font-weight: var(--heading--font-weight-h4);
  line-height: var(--heading--line-height-h4);
  letter-spacing: var(--heading--letter-spacing-h4);
}

.txtbox h4::before {
  content: '';
  position: absolute;
  inset-inline-start: 0;
  inset-block-start: 50%;
  transform: translateY(-50%);
  width: calc(20 / 16 * 1rem);
  height: calc(20 / 16 * 1rem);
  background: none;
  border-radius: var(--rounded-full);
  box-shadow: inset 0 0 0 calc(5 / 16 * 1rem) var(--heading--background-color-h4);
}

.txtbox h5 {
  /* layout */
  position: relative;
  padding-inline-start: var(--space-16);
  /* sytle */
  color: var(--heading--color-h5);
  font-size: var(--heading--font-size-h5);
  font-weight: var(--heading--font-weight-h5);
  letter-spacing: var(--heading--letter-spacing-h5);
}

.txtbox h5::before {
  content: '';
  position: absolute;
  inset-inline-start: 0;
  inset-block-start: 50%;
  transform: translateY(-50%);
  width: 12px;
  height: 12px;
  background: var(--heading--background-color-h5);
}

.txtbox h6 {
  position: relative;
  padding-inline-start: var(--space-16);
  font-size: var(--heading--font-size-h6);
  font-weight: var(--heading--font-weight-h6);
  letter-spacing: var(--heading--letter-spacing-h6);
}

.txtbox h6::before {
  content: '';
  position: absolute;
  display: block;
  inset-block-start: 2px;
  inset-inline-start: 2px;
  width: 3.5px;
  height: 20px;
  background: var(--heading--background-color-h6);
}

.txtbox h4 {
  margin-block-end: var(--space-16);
}
.txtbox h5 {
  margin-block-end: 0.5em;
}
.txtbox h6 {
  margin-block-end: var(--space-8);
}

.txtbox p,
.txtbox table,
.txtbox dl {
  font-size: var(--txtbox--font-size);
}

.txtbox > ul > li,
.txtbox > ol > li {
  font-size: var(--txtbox--font-size);
}

.txtbox table p,
.txtbox ul ul > li,
.txtbox ul ol > li,
.txtbox ol ul > li,
.txtbox ol ol > li {
  font-size: 1em;
}

.txtbox i,
.txtbox em {
  padding-inline-end: 0.5em;
}

/* table */
.txtbox table th {
  border: 1px solid var(--table--stripes-border-color);
}

.txtbox table td {
  border: 1px solid var(--table--stripes-border-color);
}

.txtbox table th {
  color: var(--table--th-font-color);
  background: var(--table--th-background-color);
}

.txtbox table th[scope='col'] {
  background: var(--table--th-background-color);
}

.txtbox table th[scope='row'] {
  background: var(--table--th-background-color);
  border: 1px solid var(--table--stripes-border-color);
}

.txtbox table td {
  background: var(--table--td-background-color);
}

.txtbox ol > li,
.txtbox ul > li {
  margin-block-end: 0.5em;
}

.txtbox ul > li {
  padding-inline-start: 1.3em;
}

.txtbox ul > li:before {
  content: '';
  position: absolute;
  display: block;
  inset-inline-start: var(--space-8);
  inset-block-start: 0.65em;
  width: var(--txtbox--marker-size);
  height: var(--txtbox--marker-size);
  background: var(--txtbox--marker-color);
  border-radius: var(--rounded-full);
}

.txtbox p {
  font-weight: var(--txtbox--font-weight);
  letter-spacing: var(--txtbox--letter-spacing);
  line-height: var(--txtbox--line-height);
}

.txtbox table.wide_table caption,
.txtbox table.widetable caption {
  text-align: center;
}

.list-style--hidden li::before {
  display: none;
}

a.outside,
a.sizeview {
  color: var(--txtbox--text-link);
}

@media (width <= 576px) {
  h1.content-title {
    margin-block-end: calc(var(--space-32) * 0.8);
    font-size: calc(var(--heading--font-size-h1) * 0.8);
  }
  h1.content-title + * {
    padding-block-start: var(--space-24);
  }
  h1.content-title::after {
    inset-block-end: calc(-0.7 * var(--space-32));
  }

  .txtbox h2 {
    font-size: calc(var(--heading--font-size-h2) * 0.9);
  }
  .txtbox h3 {
    font-size: calc(var(--heading--font-size-h3) * 0.9);
  }
  .txtbox h4 {
    font-size: calc(var(--heading--font-size-h4) * 0.9);
  }
  .txtbox h5 {
    font-size: calc(var(--heading--font-size-h5) * 0.9);
  }
  .txtbox h6 {
    font-size: calc(var(--heading--font-size-h6) * 0.9);
  }

  .txtbox p,
  .txtbox table,
  .txtbox ul,
  .txtbox ol,
  .txtbox dl {
    font-size: calc(var(--txtbox--font-size) * 0.9);
  }
}

/*===========================
Menu
=============================*/
.menu .content {
  padding-inline: var(--space-32);
}
.page-title {
  display: grid;
  place-items: center;
  padding: 46px 5px 39px;
  background-color: var(--color-red-200);
}

.page-title .heading {
  position: relative;
  display: inline-block;
  padding-block-end: var(--space-8);

  /* style */
  color: var(--color-red-500);
  font-size: var(--font-size-30);
  font-weight: var(--font-weight-regular);
  line-height: 1;
  letter-spacing: var(--tracking-50);
}

.page-title .heading::after {
  content: '';
  position: absolute;
  inset-inline-start: 0;
  inset-block-end: calc(var(--space-8) * -1);
  width: 100%;
  height: 2px;
  background: repeating-linear-gradient(to right, var(--color-red-500) 0, var(--color-red-500) 2px, transparent 3px, transparent 6px);
}

.article-nav {
  padding-block-start: calc(var(--space-64) * 1.14);
  padding-block-end: var(--space-24);
}

.article-nav__list {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(360px, 1fr));
  gap: calc(var(--space-40) * 1.4);
}

/* リストアイテムが1つの場合のスタイル */
.article-nav__item:only-child {
  width: 47.5%;
}

.article-nav__link {
  /* layout */
  position: relative;
  display: grid;
  grid-template-columns: 1fr auto;
  align-items: center;
  column-gap: var(--space-4);
  width: 100%;
  padding-block: var(--space-24);
  padding-inline: var(--space-12);
  border-radius: var(--rounded-md);
  background: var(--color--bg-default);
  /* style */
  color: var(--color--text);
  text-decoration: none;
  /* border & outline */
  border: 2px solid var(--color-red-200);
  outline: 8px solid var(--color-red-200);
  /* スムーズなトランジション */
  transition: border-color 0.3s, outline-color 0.3s;
}

.article-nav__link:hover,
.article-nav__link:focus-within {
  border-color: var(--color-red-500);
  outline-color: var(--color-red-300);
}

.article-nav__title {
  position: relative;
  grid-column: 1;
  padding-inline-start: var(--space-16);
  /* sytle */
  /* color: var(--color--text); */
  font-size: var(--font-size-21);
  font-weight: var(--font-weight-regular);
}

.article-nav__icon {
  grid-column: 2;
  grid-row: 1;
  justify-self: end;
  display: grid;
  place-items: center;
  width: 32px;
  height: 32px;
  aspect-ratio: 1 / 1;
  background-color: var(--color-red-200);
  border-radius: var(--rounded-full);
}

.article-nav__icon img {
  width: 100%;
  max-width: 12px;
  height: auto;
}

.article-nav__title::before {
  content: '';
  position: absolute;
  inset-block: 0;
  inset-inline-start: -4px;
  width: 4px;
  height: 2em;
  margin-block: auto;
  border-radius: var(--rounded-full);
  background: var(--color-red-500);
}


/* 一覧ページの本文欄 */
.txtbox.upper {
    padding-block-start: calc(var(--space-64)* 1.14);
    margin-bottom: 0
}

.txtbox.under {
    padding-block-start: calc(var(--space-64)* 1.14);
}

@media (width <= 576px) {
  p.locus {
    font-size: var(--font-size-14);
  }

  .page-title .heading {
    font-size: var(--font-size-24);
  }

  .article-nav__list {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
    gap: var(--space-32) calc(var(--space-40) * 1.4);
  }

  /* スマートフォンでは最大幅の制限を解除 */
  .article-nav__item:only-child {
    width: 100%;
  }

  .article-nav {
    padding-block-start: var(--space-40);
  }

  .article-nav__title {
    font-size: var(--font-size-18);
  }
}

/*===========================
Archive
=============================*/
.news-list {
  display: grid;
  grid-template-columns: 1fr;
  gap: var(--space-16);
  padding-block: var(--space-24);
  padding-inline: var(--space-24);
}

.news-list__item {
  display: grid;
  grid-template-columns: auto minmax(150px, auto) 1fr;
  column-gap: var(--space-8);
  padding-block-start: var(--space-12);
  padding-block-end: var(--space-24);
  border-bottom: 1px solid var(--border-gray);
}

.news-list__date {
  width: 100%;
  /* style */
  font-size: var(--font-size-18);
  font-weight: var(--font-weight-regular);
  letter-spacing: var(--tracking-50);
  white-space: nowrap;
}

.news-list__category {
  display: grid;
  place-items: center;
  width: 100%;
  max-width: 150px;
  height: 2em;
  padding-block: var(--space-6);
  border-radius: var(--rounded-full);

  /* style */
  color: var(--color--link);
  font-size: var(--font-size-16);
  font-weight: var(--font-weight-regular);
  line-height: 1;
  letter-spacing: var(--tracking-50);
}

.news-list__category--event {
  background: var(--color-red-100);
}

.news-list__category--news {
  background: var(--color-neutral-80);
}

.news-list__title {
  display: inline;
}

.news-list__link {
  position: relative;
  min-width: 0;
  /* sytle */
  color: var(--color--text);
  font-size: var(--font-size-18);
  font-weight: var(--font-weight-regular);
  letter-spacing: var(--tracking-50);
  text-decoration: none;
}

.news-list__link:hover,
.news-list__link:focus-within {
  text-decoration: underline;
}

@media (width <= 576px) {
  .news-list {
    padding-inline: 0;
  }

  .news-list__item {
    row-gap: var(--space-6);
  }
  .news-list__title {
    grid-column: 1 / -1;
    grid-row: 2;
  }

  .news-list__date,
  .news-list__category,
  .news-list__link {
    font-size: var(--font-size-16);
  }

  .news-list__category {
    font-size: var(--font-size-15);
  }
}

/*===========================
Pagination
=============================*/
.pagination {
  margin-block-start: var(--space-24);
}

.pagination__list {
  display: flex;
  justify-content: space-between;
  gap: var(--space-16);
  list-style-type: '';
  padding: 0;
  margin: 0;
}

.pagination__item {
  flex: 0 0 auto;
}

.pagination__link {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  min-width: 120px; /* ボタンの最小幅 */
  padding: var(--space-12) var(--space-16);
  /* layout */
  background-color: var(--color--bg-default);
  border: 1.5px solid var(--color-red-200);
  border-radius: var(--rounded-md);
  color: var(--color--text);
  font-size: var(--font-size-15);
  text-decoration: none;
  /* transition */
  transition: all 0.3s ease;
}

/* 矢印アイコン */
.pagination__link--prev::before,
.pagination__link--next::after {
  content: '';
  display: inline-block;
  width: 8px;
  height: 8px;
  border-style: solid;
  border-width: 2px 2px 0 0;
  margin-inline: var(--space-8);
}

.pagination__link--prev::before {
  transform: rotate(-135deg); /* 左向き矢印 */
  margin-inline-end: var(--space-8);
}

.pagination__link--next::after {
  transform: rotate(45deg); /* 右向き矢印 */
  margin-inline-start: var(--space-8);
}

.pagination__link:hover,
.pagination__link:focus-within {
  background-color: var(--color-red-50);
  border-color: var(--color-red-500);
  color: var(--color-red-500);
  outline: none;
  box-shadow: 0 0 0 2px var(--color-red-200);
}

.pagination__link:active {
  background-color: var(--color-red-100);
  transform: translateY(1px);
}

.pagination__link[aria-disabled='true'] {
  opacity: 0.5;
  cursor: not-allowed;
  pointer-events: none;
}

@media (width <= 576px) {
  .pagination__link {
    min-width: 100px; /* ボタンの最小幅 */
    padding: var(--space-8) var(--space-12);
  }
}

/* ページ内リンクの上部余白 */
h2 a[name],
h2 a[id],
h3 a[name],
h3 a[id] { display: block; position: relative; }

@media (width <= 1191px) {
  h2 a[name],
  h2 a[id],
  h3 a[name],
  h3 a[id] { display: block; position: relative; }
}

/* form */
input.wcf__confirm__back {
    padding: 10px 20px;
    margin-right: 10px;
   font-size: 1.2em;
}

input.wcf__confirm__submit {
    padding: 10px 20px;
    background: #FAD9DF;
    border: #A22550 solid;
    border-radius: 3px;
font-size: 1.2em;
}
input.wcf__confirm__submit:hover {
    background: #fad9df7d;
}

ul.wcf__confirm__input p {
    border-bottom: #ccc dotted 1px;
}

.wcf__confirm {
    font-size: 1.2em;
}

